kind: pipeline
name: amd64

platform:
  os: linux
  arch: amd64

steps:
  - name: docker
    image: plugins/docker
    settings:
      repo: memestream/server
      username:
        from_secret: docker_username
      password:
        from_secret: docker_password
      tags:
        - amd64

---
kind: pipeline
name: arm

platform:
  os: linux
  arch: arm

steps:
  - name: docker
    image: plugins/docker:linux-arm
    settings:
      repo: memestream/server
      username:
        from_secret: docker_username
      password:
        from_secret: docker_password
      tags:
        - arm

---
kind: pipeline
name: after

steps:
  - name: manifest
    image: plugins/manifest:1
    settings:
      username:
        from_secret: docker_username
      password:
        from_secret: docker_password
      target: memestream/server:latest
      template: memestream/server:ARCH
      ignore_missing: true
      platforms:
        - linux/amd64
        - linux/arm

depends_on:
  - amd64
  - arm
---
kind: signature
hmac: e9e15487f1e71c1b6931aba3784e9cd63a81140ff71f56427abd9f5958ca3662
